Disconnects the device’s active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.
DELETE
/
devices
/
{deviceId}
/
proxy
JavaScript
import Mobilerun from '@mobilerun/sdk';const client = new Mobilerun({ apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted});await client.devices.proxy.disconnect('deviceId');
import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.proxy.disconnect(
device_id="deviceId",
)
After disconnecting, the device’s traffic uses its direct network connection again.
Disconnecting does not revert smartIp changes — the device keeps the location, time zone, locale, and carrier settings that were aligned to the previous proxy’s exit IP.
On some device types, disconnecting always restarts the device to remove the proxy.
import Mobilerun from '@mobilerun/sdk';const client = new Mobilerun({ apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted});await client.devices.proxy.disconnect('deviceId');
import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.proxy.disconnect(
device_id="deviceId",
)
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Mobilerun","colors":{"primary":"#4566D9","light":"#73A0FF","dark":"#4566D9"},"logo":{"light":"https://mintcdn.com/mobilerun/dj4o2PD1fQzmydpp/logo/dark.svg?fit=max\u0026auto=format\u0026n=dj4o2PD1fQzmydpp\u0026q=85\u0026s=94794bb3cda4a2b043ae10ae8c62de4d","dark":"https://mintcdn.com/mobilerun/dj4o2PD1fQzmydpp/logo/light.svg?fit=max\u0026auto=format\u0026n=dj4o2PD1fQzmydpp\u0026q=85\u0026s=48f04fef89a01ee7524aba18bc42e98c","href":"https://mobilerun.ai"},"favicon":{"light":"https://mintcdn.com/mobilerun/3WD57gGwKcqvkcxT/favicon.png?fit=max\u0026auto=format\u0026n=3WD57gGwKcqvkcxT\u0026q=85\u0026s=18b3ce5f77441e67930307555c63dce1","dark":"https://mintcdn.com/mobilerun/3WD57gGwKcqvkcxT/favicon-dark.png?fit=max\u0026auto=format\u0026n=3WD57gGwKcqvkcxT\u0026q=85\u0026s=5de0002e3ece75d65013ce83fb6d0c67"},"background":{"color":{"light":"#FBFAF7","dark":"#0F0D0B"}},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://cloud.mobilerun.ai"}},"footer":{"socials":{"github":"https://github.com/droidrun/droidrun","x":"https://x.com/droid_run","discord":"https://discord.gg/droidrun","website":"https://mobilerun.ai"}},"fonts":{"family":"Geist"},"icons":{"library":"lucide"},"integrations":{"posthog":{"apiKey":"phc_3BmiVdnS2Wvlm007eHGZLBPwRFCVVWzIZXbB0u3ZH1d","apiHost":"https://pineapple.droidrun.ai"}},"errors":{"404":{"redirect":false}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mobilerun","hasAudioNarration":false,"actualSubdomain":"mobilerun","customDomains":["docs.mobilerun.ai"],"gitSource":{"type":"github","owner":"droidrun","repo":"mobilerun-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af6c1caabd437ef211eca99","clientVersion":"0.0.4124","searchFilterCounts":[{"language":"default","tag":"Cloud","count":297},{"language":"default","tag":"API Reference","count":238},{"language":"default","tag":"Phones","count":92},{"language":"default","tag":"Guides","count":72},{"language":"default","tag":"Workflows","count":43},{"language":"default","tag":"Mobilerun Agents","count":28},{"language":"default","tag":"Framework","count":24},{"language":"default","tag":"Proxy","count":24},{"language":"default","tag":"Integrations","count":23},{"language":"default","tag":"Device Control","count":21}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"custom.css","content":":root{--brand-background: #FBFAF7;--brand-foreground: #272320;--brand-card: #FFFDFA;--brand-popover: #FFFDFA;--brand-card-foreground: #272320;--brand-primary-foreground: #F7F8FC;--brand-secondary: #F3F0EA;--brand-secondary-foreground: #272320;--brand-muted: #F3F0EA;--brand-muted-foreground: #76706C;--brand-accent: #E0EBFF;--brand-accent-foreground: #273C81;--brand-destructive: #C74C41;--brand-destructive-foreground: #FDFCF9;--brand-border: #E6E4E0;--brand-input: #F5F3EF;--brand-sidebar: #F7F5F1;--brand-sidebar-foreground: #312D2A;--brand-sidebar-border: #E6E4E0;--brand-chart-1: #4566D9;--brand-chart-2: #00A0C5;--brand-chart-3: #9878E5;--brand-chart-4: #CD9130;--brand-chart-5: #009A7B}html.dark{--brand-background: #0F0D0B;--brand-foreground: #E6E4E1;--brand-card: #161311;--brand-popover: #1A1816;--brand-card-foreground: #E6E4E1;--brand-primary-foreground: #0E111B;--brand-secondary: #1D1A18;--brand-secondary-foreground: #E6E4E1;--brand-muted: #1A1816;--brand-muted-foreground: #9C9793;--brand-accent: #1C2746;--brand-accent-foreground: #BAD0FF;--brand-destructive: #C5372F;--brand-destructive-foreground: #F0EEEB;--brand-border: #24211F;--brand-input: #1F1C1A;--brand-sidebar: #14110F;--brand-sidebar-foreground: #D9D7D4;--brand-sidebar-border: #24211F;--brand-chart-1: #73A0FF;--brand-chart-2: #1EBDE3;--brand-chart-3: #AC8FF8;--brand-chart-4: #E4AC59;--brand-chart-5: #30B69A}#content-area{max-width:none!important}@media (min-width: 1280px){#content-area,.mdx-content,.docs-content,.prose{max-width:900px!important}}@media (min-width: 1536px){#content-area,.mdx-content,.docs-content,.prose{max-width:1000px!important}}@media (min-width: 1920px){#content-area,.mdx-content,.docs-content,.prose{max-width:1200px!important}}@media (min-width: 2560px){#content-area,.mdx-content,.docs-content,.prose{max-width:1600px!important}}@media (min-width: 1280px){main{max-width:none!important}.container{max-width:1400px!important}}@media (min-width: 1920px){.container{max-width:1600px!important}}@media (min-width: 2560px){.container{max-width:1800px!important}}a[href=\"https://mobilerun.ai\"]{height:auto!important;max-height:none!important}img[src*=\"/logo/light.svg\"],img[src*=\"/logo/dark.svg\"]{height:2rem!important;max-height:none!important;width:auto!important}html[data-current-path^=\"/framework\"]{--primary: 217 119 87;--primary-light: 232 153 120;--primary-dark: 181 90 62}html[data-current-path^=\"/framework\"] a[href=\"https://mobilerun.ai\"] img[src*=\"/logo/light.svg\"]{content:url(\"/framework/logo/light.svg\")}html[data-current-path^=\"/framework\"] a[href=\"https://mobilerun.ai\"] img[src*=\"/logo/dark.svg\"]{content:url(\"/framework/logo/dark.svg\")}html[data-current-path^=\"/framework\"] a[href=\"https://mobilerun.ai\"] img[src*=\"/logo/light.svg\"],html[data-current-path^=\"/framework\"] a[href=\"https://mobilerun.ai\"] img[src*=\"/logo/dark.svg\"]{height:1.7rem!important;transform:translate(2px, 2px)}html[data-current-path^=\"/framework\"] a[href=\"https://mobilerun.ai\"]{display:inline-flex!important;align-items:center!important}img[src$=\"/logo/assistant-light.svg\"]{width:24px!important;height:24px!important;max-width:none;flex-shrink:0}.dark img[src$=\"/logo/assistant-light.svg\"]{content:url(\"/logo/assistant-dark.svg\")}"}],"page":{"pagePath":"api-reference/proxy/disconnect-proxy","slug":"/api-reference/proxy/disconnect-proxy","pageMetadata":{"title":"Disconnect proxy","description":"Disconnects the device's active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.","deprecated":null,"version":null,"openapi":"/api-reference/phones/proxy.yaml delete /devices/{deviceId}/proxy","href":"/api-reference/proxy/disconnect-proxy","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Disconnects the device’s active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components},{Note}=_components;if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`After disconnecting, the device’s traffic uses its direct network connection again.`}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Disconnecting does not revert `,_jsx(_components.code,{children:`smartIp`}),` changes — the device keeps the location, time zone, locale, and carrier settings that were aligned to the previous proxy’s exit IP.`]})}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`On some device types, disconnecting always restarts the device to remove the proxy.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Disconnect proxy","description":"Disconnects the device's active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.","deprecated":null,"version":null,"openapi":"/api-reference/phones/proxy.yaml delete /devices/{deviceId}/proxy","href":"/api-reference/proxy/disconnect-proxy","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Disconnects the device's active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.","operationId":"disconnect-proxy","parameters":["8978b30c-b9ce-4b73-83ef-0c51b29fce81","33c5ce48-77aa-4aa8-a843-9c398f05f262"],"responses":{"204":"824fe429-4fe8-45b7-bde2-68cf0bd435ac","default":"ed7eaa23-7678-49bd-a100-9026df83b0ca"},"summary":"Disconnect proxy","tags":["Proxy"],"x-mint":{"content":"After disconnecting, the device's traffic uses its direct network connection again.\n\n\u003cNote>\nDisconnecting does not revert `smartIp` changes — the device keeps the location, time zone, locale, and carrier settings that were aligned to the previous proxy's exit IP.\n\u003c/Note>\n\n\u003cNote>\nOn some device types, disconnecting always restarts the device to remove the proxy.\n\u003c/Note>\n"},"x-codeSamples":[{"lang":"JavaScript","source":"import Mobilerun from '@mobilerun/sdk';\n\nconst client = new Mobilerun({\n apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted\n});\n\nawait client.devices.proxy.disconnect('deviceId');"},{"lang":"Python","source":"import os\nfrom mobilerun_sdk import Mobilerun\n\nclient = Mobilerun(\n api_key=os.environ.get(\"MOBILERUN_CLOUD_API_KEY\"), # This is the default and can be omitted\n)\nclient.devices.proxy.disconnect(\n device_id=\"deviceId\",\n)"}],"method":"delete","type":"path","servers":["aaa54aae-ef0e-4715-a637-14b17f739f11"],"security":["885a2c93-2d18-4975-9a15-2293dab2e593"],"path":"/devices/{deviceId}/proxy","baseUrlOptions":["https://api.mobilerun.ai/v1"],"title":"Disconnect proxy","codeSamples":[{"lang":"JavaScript","source":"import Mobilerun from '@mobilerun/sdk';\n\nconst client = new Mobilerun({\n apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted\n});\n\nawait client.devices.proxy.disconnect('deviceId');"},{"lang":"Python","source":"import os\nfrom mobilerun_sdk import Mobilerun\n\nclient = Mobilerun(\n api_key=os.environ.get(\"MOBILERUN_CLOUD_API_KEY\"), # This is the default and can be omitted\n)\nclient.devices.proxy.disconnect(\n device_id=\"deviceId\",\n)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"8978b30c-b9ce-4b73-83ef-0c51b29fce81":{"in":"path","name":"deviceId","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"}},"33c5ce48-77aa-4aa8-a843-9c398f05f262":{"in":"header","name":"X-Device-Display-ID","schema":{"default":0,"format":"int64","minimum":0,"type":"integer","uniqueKey":"","typeLabel":"integer\u003cint64>"}}},"responses":{"824fe429-4fe8-45b7-bde2-68cf0bd435ac":{"description":"No Content","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"ed7eaa23-7678-49bd-a100-9026df83b0ca":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","examples":["https://example.com/schemas/ErrorModel.json"],"format":"uri","readOnly":true,"type":"string","uniqueKey":"$schema","typeLabel":"string\u003curi>"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"$schema":"https://example.com/schemas/ErrorModel.json","detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Error","exampleType":"generated"}},"security":{"885a2c93-2d18-4975-9a15-2293dab2e593":{"bearerAuth":{"bearerFormat":"Opaque","description":"Bearer token via Authorization header","scheme":"bearer","type":"http","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"aaa54aae-ef0e-4715-a637-14b17f739f11":{"description":"Droidrun Cloud API","url":"https://api.mobilerun.ai/v1"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"Opaque","description":"Bearer token via Authorization header","scheme":"bearer","type":"http","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer token via Authorization header","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/phones/proxy.yaml"},"subdomain":"mobilerun","siteName":"Mobilerun","title":"Disconnect proxy - Mobilerun","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-28T12:21:04.328Z","originalFileLocation":"api-reference/proxy/disconnect-proxy.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Disconnects the device\u0026#x27;s active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Mobilerun\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Disconnect proxy - Mobilerun\">\u003cmeta data-mint-head property=\"og:description\" content=\"Disconnects the device\u0026#x27;s active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Mobilerun\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://mobilerun.mintlify.site/_mintlify/api/og/v2?division=Proxy\u0026amp;title=Disconnect+proxy\u0026amp;description=Disconnects+the+device%27s+active+proxy+connection+and+clears+its+stored+proxy+state.+Returns+successfully+if+no+proxy+is+connected.\u0026amp;theme=22dce65850dbe2019d5cff52\u0026amp;signature=53e322b7d641dfbbb55ca9d0fa95ad76bfd9cbbd6165b742a456e63340a093fb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Disconnect proxy - Mobilerun\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Disconnects the device\u0026#x27;s active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://mobilerun.mintlify.site/_mintlify/api/og/v2?division=Proxy\u0026amp;title=Disconnect+proxy\u0026amp;description=Disconnects+the+device%27s+active+proxy+connection+and+clears+its+stored+proxy+state.+Returns+successfully+if+no+proxy+is+connected.\u0026amp;theme=22dce65850dbe2019d5cff52\u0026amp;signature=53e322b7d641dfbbb55ca9d0fa95ad76bfd9cbbd6165b742a456e63340a093fb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/mobilerun/0rQTQmMhNsQvIVRn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Mobilerun\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4566D9\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/proxy/disconnect-proxy.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.mobilerun.ai/#organization\",\"name\":\"Mobilerun\",\"url\":\"https://docs.mobilerun.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/mobilerun/dj4o2PD1fQzmydpp/logo/dark.svg?fit=max\u0026auto=format\u0026n=dj4o2PD1fQzmydpp\u0026q=85\u0026s=94794bb3cda4a2b043ae10ae8c62de4d\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.mobilerun.ai#website\",\"name\":\"Mobilerun\",\"url\":\"https://docs.mobilerun.ai\",\"publisher\":{\"@id\":\"https://docs.mobilerun.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy#webpage\",\"url\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy\",\"name\":\"Disconnect proxy\",\"description\":\"Disconnects the device's active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.\",\"dateModified\":\"2026-10-28T12:21:04.328Z\",\"isPartOf\":{\"@id\":\"https://docs.mobilerun.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Phones\",\"item\":\"https://docs.mobilerun.ai/api-reference/devices/provision-a-new-device\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Network\",\"item\":\"https://docs.mobilerun.ai/api-reference/proxy/connect-proxy\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Proxy\",\"item\":\"https://docs.mobilerun.ai/api-reference/proxy/connect-proxy\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Disconnect proxy\",\"item\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy#apireference\",\"headline\":\"Disconnect proxy\",\"name\":\"Disconnect proxy\",\"description\":\"Disconnects the device's active proxy connection and clears its stored proxy state. Returns successfully if no proxy is connected.\",\"url\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy\",\"mainEntityOfPage\":{\"@id\":\"https://docs.mobilerun.ai/api-reference/proxy/disconnect-proxy#webpage\"},\"dateModified\":\"2026-10-28T12:21:04.328Z\",\"publisher\":{\"@id\":\"https://docs.mobilerun.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.mobilerun.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Mobilerun\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Mobilerun\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/proxy/disconnect-proxy.md","siteName":"Mobilerun","nav":{"global":null,"dropdowns":[{"dropdown":"Cloud","icon":"cloud","color":{"light":"#4566D9","dark":"#73A0FF"},"tabs":[{"tab":"Documentation","icon":"book","pages":[{"title":"Documentation","href":"/quickstart"}]},{"tab":"Mobilerun Agents","icon":"https://mintlify.s3.us-west-1.amazonaws.com/mobilerun/logo/assistant-light.svg","pages":[{"title":"Mobilerun Agents","href":"/agents/overview"}]},{"tab":"Examples","icon":"lightbulb","pages":[{"title":"Examples","href":"/examples/overview"}]},{"tab":"API Reference","icon":"code","groups":[{"group":"Mobilerun Agents","pages":[{"group":"Chat","pages":[{"title":"List the user's named chat or agent-workflow sessions","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml get /assistant/chat/sessions","href":"/api-reference/chat/list-the-users-named-chat-or-agent-workflow-sessions"},{"title":"Create a named chat session","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml post /assistant/chat/sessions","href":"/api-reference/chat/create-a-named-chat-session"},{"title":"Rename, archive, or pin a named chat session","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml patch /assistant/chat/sessions/{id}","href":"/api-reference/chat/rename-archive-or-pin-a-named-chat-session"},{"title":"Send a single user message","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml post /assistant/chat/message","href":"/api-reference/chat/send-a-single-user-message"},{"title":"List messages for a chat session","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml get /assistant/chat/messages","href":"/api-reference/chat/list-messages-for-a-chat-session"},{"title":"Re-attach to the active turn stream","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml get /assistant/chat/stream","href":"/api-reference/chat/re-attach-to-the-active-turn-stream"},{"title":"Abort the named session's in-flight chat turn","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml post /assistant/chat/abort","href":"/api-reference/chat/abort-the-named-sessions-in-flight-chat-turn"},{"title":"Deliver a question answer to the user's active chat session","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml post /assistant/chat/question","href":"/api-reference/chat/deliver-a-question-answer-to-the-users-active-chat-session"},{"title":"Dismiss an outstanding question without answering","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml post /assistant/chat/question/reject","href":"/api-reference/chat/dismiss-an-outstanding-question-without-answering"},{"title":"Deliver a HITL approval/rejection to the user's active chat session","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/chat.yaml post /assistant/chat/permission","href":"/api-reference/chat/deliver-a-hitl-approvalrejection-to-the-users-active-chat-session"}]},{"group":"Files","pages":[{"title":"List the user's ready files, optionally filtered by zone","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml get /agents/files","href":"/api-reference/files/list-the-users-ready-files-optionally-filtered-by-zone"},{"title":"Update file metadata (skills zone only)","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml patch /agents/files/{fileId}","href":"/api-reference/files/update-file-metadata-skills-zone-only"},{"title":"Hard-delete a file","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml delete /agents/files/{fileId}","href":"/api-reference/files/hard-delete-a-file"},{"title":"Confirm a file upload by server-side HEAD validation","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml post /agents/files/{fileId}/confirm","href":"/api-reference/files/confirm-a-file-upload-by-server-side-head-validation"},{"title":"Download an owned file","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml get /agents/files/{fileId}/download","href":"/api-reference/files/download-an-owned-file"},{"title":"Cancel a pending upload (transitions to expired, deletes the underlying object)","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml delete /agents/files/{fileId}/pending","href":"/api-reference/files/cancel-a-pending-upload-transitions-to-expired-deletes-the-underlying-object"},{"title":"Mint a presigned PUT URL for a user file upload","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-agents/files.yaml post /agents/files/upload-url","href":"/api-reference/files/mint-a-presigned-put-url-for-a-user-file-upload"}]}]},{"group":"Phones","pages":[{"group":"Devices","expanded":true,"pages":[{"title":"Provision a new device","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml post /devices","href":"/api-reference/devices/provision-a-new-device"},{"title":"Get device info","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml get /devices/{deviceId}","href":"/api-reference/devices/get-device-info"},{"title":"List devices","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml get /devices","href":"/api-reference/devices/list-devices"},{"title":"Count claimed devices","deprecated":true,"version":null,"openapi":"/api-reference/phones.yaml get /devices/count","href":"/api-reference/devices/count-claimed-devices"},{"title":"Summarize claimed devices","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml get /devices/summary","href":"/api-reference/devices/summarize-claimed-devices"},{"title":"Device fingerprint snapshot","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml get /devices/{deviceId}/fingerprint","href":"/api-reference/devices/device-fingerprint-snapshot"},{"title":"Reboot a device","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml post /devices/{deviceId}/reboot","href":"/api-reference/devices/reboot-a-device"},{"title":"Reset a device to a fresh state","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml post /devices/{deviceId}/reset","href":"/api-reference/devices/reset-a-device-to-a-fresh-state"},{"title":"Update device name","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml put /devices/{deviceId}/name","href":"/api-reference/devices/update-device-name"},{"title":"Terminate a device","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml delete /devices/{deviceId}","href":"/api-reference/devices/terminate-a-device"},{"title":"Wait for device to be ready","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml get /devices/{deviceId}/wait","href":"/api-reference/devices/wait-for-device-to-be-ready"},{"title":"Get capabilities for a specific device","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml get /devices/{deviceId}/capabilities","href":"/api-reference/devices/get-capabilities-for-a-specific-device"},{"title":"Resume (unpark) a stopped device","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml post /devices/{deviceId}/resume","href":"/api-reference/devices/resume-unpark-a-stopped-device"},{"title":"Stop (park) a device","deprecated":null,"version":null,"openapi":"/api-reference/phones.yaml post /devices/{deviceId}/stop","href":"/api-reference/devices/stop-park-a-device"},{"group":"Tasks","pages":[{"title":"List tasks for a device","deprecated":null,"version":null,"openapi":"/api-reference/phones/tasks.yaml get /devices/{deviceId}/tasks","href":"/api-reference/tasks/list-tasks-for-a-device"}]}]},{"group":"Device Control","pages":[{"group":"Actions","pages":[{"title":"Perform a global action","deprecated":null,"version":null,"openapi":"/api-reference/phones/actions.yaml post /devices/{deviceId}/global","href":"/api-reference/actions/perform-a-global-action"},{"title":"Check if overlay is visible","deprecated":null,"version":null,"openapi":"/api-reference/phones/actions.yaml get /devices/{deviceId}/overlay","href":"/api-reference/actions/check-if-overlay-is-visible"},{"title":"Set overlay visibility","deprecated":null,"version":null,"openapi":"/api-reference/phones/actions.yaml post /devices/{deviceId}/overlay","href":"/api-reference/actions/set-overlay-visibility"},{"title":"Swipe","deprecated":null,"version":null,"openapi":"/api-reference/phones/actions.yaml post /devices/{deviceId}/swipe","href":"/api-reference/actions/swipe"},{"title":"Tap by coordinates","deprecated":null,"version":null,"openapi":"/api-reference/phones/actions.yaml post /devices/{deviceId}/tap","href":"/api-reference/actions/tap-by-coordinates"}]},{"group":"Keyboard","pages":[{"title":"Clear input","deprecated":null,"version":null,"openapi":"/api-reference/phones/keyboard.yaml delete /devices/{deviceId}/keyboard","href":"/api-reference/keyboard/clear-input"},{"title":"Input key","deprecated":null,"version":null,"openapi":"/api-reference/phones/keyboard.yaml put /devices/{deviceId}/keyboard","href":"/api-reference/keyboard/input-key"},{"title":"Input text","deprecated":null,"version":null,"openapi":"/api-reference/phones/keyboard.yaml post /devices/{deviceId}/keyboard","href":"/api-reference/keyboard/input-text"}]},{"group":"State","pages":[{"title":"Take screenshot","deprecated":true,"version":null,"openapi":"/api-reference/phones/state.yaml get /devices/{deviceId}/screenshot","href":"/api-reference/state/take-screenshot"},{"title":"Device time","deprecated":null,"version":null,"openapi":"/api-reference/phones/state.yaml get /devices/{deviceId}/time","href":"/api-reference/state/device-time"},{"title":"UI state","deprecated":null,"version":null,"openapi":"/api-reference/phones/state.yaml get /devices/{deviceId}/ui-state","href":"/api-reference/state/ui-state"}]},{"group":"Screenshots","pages":[{"title":"Capture a device screenshot","deprecated":null,"version":null,"openapi":"/api-reference/phones/screenshots.yaml post /devices/{deviceId}/screenshots","href":"/api-reference/screenshots/capture-a-device-screenshot"},{"title":"List device screenshots","deprecated":null,"version":null,"openapi":"/api-reference/phones/screenshots.yaml get /devices/{deviceId}/screenshots","href":"/api-reference/screenshots/list-device-screenshots"},{"title":"Get a device screenshot image","deprecated":null,"version":null,"openapi":"/api-reference/phones/screenshots.yaml get /devices/{deviceId}/screenshots/{screenshotId}/image","href":"/api-reference/screenshots/get-a-device-screenshot-image"},{"title":"Delete a device screenshot","deprecated":null,"version":null,"openapi":"/api-reference/phones/screenshots.yaml delete /devices/{deviceId}/screenshots/{screenshotId}","href":"/api-reference/screenshots/delete-a-device-screenshot"}]},{"group":"Clipboard","pages":[{"title":"Get device clipboard","deprecated":null,"version":null,"openapi":"/api-reference/phones/clipboard.yaml get /devices/{deviceId}/clipboard","href":"/api-reference/clipboard/get-device-clipboard"},{"title":"Set device clipboard","deprecated":null,"version":null,"openapi":"/api-reference/phones/clipboard.yaml post /devices/{deviceId}/clipboard","href":"/api-reference/clipboard/set-device-clipboard"}]},{"group":"Browser","pages":[{"title":"Execute JavaScript in the device's Chrome browser (CDP)","deprecated":null,"version":null,"openapi":"/api-reference/phones/browser.yaml post /devices/{deviceId}/browser/execute-script","href":"/api-reference/browser/execute-javascript-in-the-devices-chrome-browser-cdp"}]},{"group":"Deep Link","pages":[{"title":"Open a deep link","deprecated":null,"version":null,"openapi":"/api-reference/phones/deep-link.yaml post /devices/{deviceId}/apps/open-deep-link","href":"/api-reference/deep-link/open-a-deep-link"}]},{"group":"Kiosk","pages":[{"title":"Disable kiosk (lock-task) mode","deprecated":null,"version":null,"openapi":"/api-reference/phones/kiosk.yaml delete /devices/{deviceId}/kiosk","href":"/api-reference/kiosk/disable-kiosk-lock-task-mode"},{"title":"Enable kiosk (lock-task) mode","deprecated":null,"version":null,"openapi":"/api-reference/phones/kiosk.yaml put /devices/{deviceId}/kiosk","href":"/api-reference/kiosk/enable-kiosk-lock-task-mode"}]}]},{"group":"Apps \u0026 Files","pages":[{"group":"Apps","pages":[{"title":"List apps","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml get /devices/{deviceId}/apps","href":"/api-reference/apps/list-apps"},{"title":"Delete app","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml delete /devices/{deviceId}/apps/{packageName}","href":"/api-reference/apps/delete-app"},{"title":"Install app","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml post /devices/{deviceId}/apps","href":"/api-reference/apps/install-app"},{"title":"Start app","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml put /devices/{deviceId}/apps/{packageName}","href":"/api-reference/apps/start-app"},{"title":"Stop app","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml patch /devices/{deviceId}/apps/{packageName}","href":"/api-reference/apps/stop-app"},{"title":"Revoke app permission","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml delete /devices/{deviceId}/apps/{packageName}/permissions/{permission}","href":"/api-reference/apps/revoke-app-permission"},{"title":"Grant app permission","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml put /devices/{deviceId}/apps/{packageName}/permissions/{permission}","href":"/api-reference/apps/grant-app-permission"},{"title":"List app installs","deprecated":null,"version":null,"openapi":"/api-reference/phones/apps.yaml get /devices/{deviceId}/apps/installs","href":"/api-reference/apps/list-app-installs"}]},{"group":"Packages","pages":[{"title":"List packages","deprecated":null,"version":null,"openapi":"/api-reference/phones/packages.yaml get /devices/{deviceId}/packages","href":"/api-reference/packages/list-packages"}]},{"group":"Files","pages":[{"title":"List files","deprecated":null,"version":null,"openapi":"/api-reference/phones/files.yaml get /devices/{deviceId}/files","href":"/api-reference/files/list-files"},{"title":"Delete file","deprecated":null,"version":null,"openapi":"/api-reference/phones/files.yaml delete /devices/{deviceId}/files","href":"/api-reference/files/delete-file"},{"title":"Download file","deprecated":null,"version":null,"openapi":"/api-reference/phones/files.yaml get /devices/{deviceId}/files/download","href":"/api-reference/files/download-file"},{"title":"Upload file","deprecated":null,"version":null,"openapi":"/api-reference/phones/files.yaml post /devices/{deviceId}/files","href":"/api-reference/files/upload-file"}]},{"group":"Recordings","pages":[{"title":"List device recordings","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml get /devices/{deviceId}/recordings","href":"/api-reference/recordings/list-device-recordings"},{"title":"Delete a device recording","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml delete /devices/{deviceId}/recordings/{recordingId}","href":"/api-reference/recordings/delete-a-device-recording"},{"title":"Start a device recording","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml post /devices/{deviceId}/recordings","href":"/api-reference/recordings/start-a-device-recording"},{"title":"Stop a device recording","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml post /devices/{deviceId}/recordings/{recordingId}","href":"/api-reference/recordings/stop-a-device-recording"},{"title":"Get a device recording","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml get /devices/{deviceId}/recordings/{recordingId}","href":"/api-reference/recordings/get-a-device-recording"},{"title":"Get a device recording trajectory","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml get /devices/{deviceId}/recordings/{recordingId}/trajectory","href":"/api-reference/recordings/get-a-device-recording-trajectory"},{"title":"Get a device recording video","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml get /devices/{deviceId}/recordings/{recordingId}/video","href":"/api-reference/recordings/get-a-device-recording-video"},{"title":"List a device recording's saved screenshots","deprecated":null,"version":null,"openapi":"/api-reference/phones/recordings.yaml get /devices/{deviceId}/recordings/{recordingId}/screenshots","href":"/api-reference/recordings/list-a-device-recordings-saved-screenshots"}]}]},{"group":"Network","pages":[{"group":"Proxy","pages":[{"title":"Connect proxy","description":"Routes the device's traffic through a SOCKS5 proxy supplied in the request body, replacing any existing connection. A smartIp option can be used to select an IP automatically; the legacy flat host/port/user/password fields remain supported.","deprecated":null,"version":null,"openapi":"/api-reference/phones/proxy.yaml post /devices/{deviceId}/proxy","href":"/api-reference/proxy/connect-proxy"},{"title":"Disconnect proxy","deprecated":null,"version":null,"openapi":"/api-reference/phones/proxy.yaml delete /devices/{deviceId}/proxy","href":"/api-reference/proxy/disconnect-proxy"},{"title":"Get proxy connection state","description":"Returns the device's current proxy connection state, including whether a proxy is connected and its protocol and name.","deprecated":null,"version":null,"openapi":"/api-reference/phones/proxy.yaml get /devices/{deviceId}/proxy","href":"/api-reference/proxy/get-proxy-connection-state"}]},{"group":"SIM","pages":[{"title":"List eSIM subscriptions","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml get /devices/{deviceId}/esim","href":"/api-reference/sim/list-esim-subscriptions"},{"title":"Configure eSIM","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml post /devices/{deviceId}/esim","href":"/api-reference/sim/configure-esim"},{"title":"Enable an eSIM subscription","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml put /devices/{deviceId}/esim","href":"/api-reference/sim/enable-an-esim-subscription"},{"title":"Delete eSIM subscription","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml delete /devices/{deviceId}/esim","href":"/api-reference/sim/delete-esim-subscription"},{"title":"Get eSIM connectivity status","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml get /devices/{deviceId}/esim/status","href":"/api-reference/sim/get-esim-connectivity-status"},{"title":"Toggle eSIM data roaming","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml put /devices/{deviceId}/esim/roaming","href":"/api-reference/sim/toggle-esim-data-roaming"},{"title":"List APNs for active subscriptions","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml get /devices/{deviceId}/esim/apn","href":"/api-reference/sim/list-apns-for-active-subscriptions"},{"title":"Create and set an APN for an eSIM subscription","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml post /devices/{deviceId}/esim/apn","href":"/api-reference/sim/create-and-set-an-apn-for-an-esim-subscription"},{"title":"Select an existing APN as preferred","deprecated":null,"version":null,"openapi":"/api-reference/phones/sim.yaml put /devices/{deviceId}/esim/apn","href":"/api-reference/sim/select-an-existing-apn-as-preferred"}]},{"group":"Traffic Sessions","pages":[{"title":"Start device traffic inspection","deprecated":null,"version":null,"openapi":"/api-reference/phones/traffic-sessions.yaml post /devices/{deviceId}/traffic/sessions","href":"/api-reference/traffic-sessions/start-device-traffic-inspection"},{"title":"List device traffic sessions","deprecated":null,"version":null,"openapi":"/api-reference/phones/traffic-sessions.yaml get /devices/{deviceId}/traffic/sessions","href":"/api-reference/traffic-sessions/list-device-traffic-sessions"},{"title":"Get a device traffic session","deprecated":null,"version":null,"openapi":"/api-reference/phones/traffic-sessions.yaml get /devices/{deviceId}/traffic/sessions/{sessionId}","href":"/api-reference/traffic-sessions/get-a-device-traffic-session"},{"title":"Stop device traffic inspection","deprecated":null,"version":null,"openapi":"/api-reference/phones/traffic-sessions.yaml delete /devices/{deviceId}/traffic/sessions/{sessionId}","href":"/api-reference/traffic-sessions/stop-device-traffic-inspection"}]}]},{"group":"Settings","pages":[{"group":"Location","pages":[{"title":"Get device location","deprecated":null,"version":null,"openapi":"/api-reference/phones/location.yaml get /devices/{deviceId}/location","href":"/api-reference/location/get-device-location"},{"title":"Set device location","deprecated":null,"version":null,"openapi":"/api-reference/phones/location.yaml post /devices/{deviceId}/location","href":"/api-reference/location/set-device-location"},{"title":"Reset the device location to default","deprecated":null,"version":null,"openapi":"/api-reference/phones/location.yaml delete /devices/{deviceId}/location","href":"/api-reference/location/reset-the-device-location-to-default"}]},{"group":"Timezone","pages":[{"title":"Get device timezone","deprecated":null,"version":null,"openapi":"/api-reference/phones/timezone.yaml get /devices/{deviceId}/timezone","href":"/api-reference/timezone/get-device-timezone"},{"title":"Set device timezone","deprecated":null,"version":null,"openapi":"/api-reference/phones/timezone.yaml post /devices/{deviceId}/timezone","href":"/api-reference/timezone/set-device-timezone"}]},{"group":"Language","pages":[{"title":"Get device language/locale","deprecated":null,"version":null,"openapi":"/api-reference/phones/language.yaml get /devices/{deviceId}/language","href":"/api-reference/language/get-device-languagelocale"},{"title":"Set device language/locale","deprecated":null,"version":null,"openapi":"/api-reference/phones/language.yaml post /devices/{deviceId}/language","href":"/api-reference/language/set-device-languagelocale"}]},{"group":"Profile","pages":[{"title":"Apply a profile to a device","deprecated":null,"version":null,"openapi":"/api-reference/phones/profile.yaml put /devices/{deviceId}/profile","href":"/api-reference/profile/apply-a-profile-to-a-device"}]}]}]},{"group":"Proxy","pages":[{"group":"Countries","pages":[{"title":"List available countries","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/countries.yaml get /connect/countries","href":"/api-reference/countries/list-available-countries"}]},{"group":"Proxies","pages":[{"title":"Get proxy by ID","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml get /connect/proxies/{id}","href":"/api-reference/proxies/get-proxy-by-id"},{"title":"List proxies","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml get /connect/proxies","href":"/api-reference/proxies/list-proxies"},{"title":"Create a proxy","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml post /connect/proxies","href":"/api-reference/proxies/create-a-proxy"},{"title":"Delete a proxy","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml delete /connect/proxies/{id}","href":"/api-reference/proxies/delete-a-proxy"},{"title":"List Proxy Connections","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml get /connect/proxies/{id}/connections","href":"/api-reference/proxies/list-proxy-connections"},{"title":"Latency check","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml get /connect/proxies/{id}/ping","href":"/api-reference/proxies/latency-check"},{"title":"Update a proxy","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml patch /connect/proxies/{id}","href":"/api-reference/proxies/update-a-proxy"},{"title":"Ensure the proxy's upstream session works","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml post /connect/proxies/{id}/ensure-healthy","href":"/api-reference/proxies/ensure-the-proxys-upstream-session-works"},{"title":"Get a payable checkout for a pending proxy","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/proxies.yaml post /connect/proxies/{id}/checkout","href":"/api-reference/proxies/get-a-payable-checkout-for-a-pending-proxy"}]},{"group":"Users","pages":[{"title":"Create a SOCKS5 user","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/users.yaml post /connect/users","href":"/api-reference/users/create-a-socks5-user"},{"title":"Get a SOCKS5 user by ID","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/users.yaml get /connect/users/{id}","href":"/api-reference/users/get-a-socks5-user-by-id"},{"title":"Update a SOCKS5 user","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/users.yaml patch /connect/users/{id}","href":"/api-reference/users/update-a-socks5-user"},{"title":"List SOCKS5 users","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/users.yaml get /connect/users","href":"/api-reference/users/list-socks5-users"},{"title":"Delete a SOCKS5 user","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/users.yaml delete /connect/users/{id}","href":"/api-reference/users/delete-a-socks5-user"},{"title":"List connections by SOCKS5 user","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/users.yaml get /connect/users/{id}/connections","href":"/api-reference/users/list-connections-by-socks5-user"}]},{"group":"Custom Proxies","pages":[{"title":"Create a proxy config","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/custom-proxies.yaml post /proxies","href":"/api-reference/custom-proxies/create-a-proxy-config"},{"title":"Get a proxy config","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/custom-proxies.yaml get /proxies/{proxyId}","href":"/api-reference/custom-proxies/get-a-proxy-config"},{"title":"Update a proxy config","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/custom-proxies.yaml put /proxies/{proxyId}","href":"/api-reference/custom-proxies/update-a-proxy-config"},{"title":"List proxy configs","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/custom-proxies.yaml get /proxies","href":"/api-reference/custom-proxies/list-proxy-configs"},{"title":"Delete a proxy config","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-proxy/custom-proxies.yaml delete /proxies/{proxyId}","href":"/api-reference/custom-proxies/delete-a-proxy-config"}]}]},{"group":"Apps","pages":[{"title":"Get app by ID","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml get /apps/{id}","href":"/api-reference/apps-cloud-storage/get-app-by-id"},{"title":"List apps","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml get /apps","href":"/api-reference/apps-cloud-storage/list-apps"},{"title":"Delete uploaded app","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml delete /apps/{id}","href":"/api-reference/apps-cloud-storage/delete-uploaded-app"},{"title":"Confirm successful app upload","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml post /apps/{id}/confirm-upload","href":"/api-reference/apps-cloud-storage/confirm-successful-app-upload"},{"title":"Create a signed upload URL for an app","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml post /apps/create-signed-upload-url","href":"/api-reference/apps-cloud-storage/create-a-signed-upload-url-for-an-app"},{"title":"List versions for an app","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml get /apps/{id}/versions","href":"/api-reference/apps-cloud-storage/list-versions-for-an-app"},{"title":"Mark app upload as failed","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml post /apps/{id}/mark-failed","href":"/api-reference/apps-cloud-storage/mark-app-upload-as-failed"},{"title":"Get the user’s storage usage","deprecated":null,"version":null,"openapi":"/api-reference/apps-ref.yaml get /apps/storage-usage","href":"/api-reference/apps-cloud-storage/get-the-user’s-storage-usage"}]},{"group":"Credentials","pages":[{"title":"List credentials","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref.yaml get /credentials","href":"/api-reference/app-credentials/list-credentials"},{"title":"Initialize a new package/app","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml post /credentials/packages","href":"/api-reference/credential-packages/initialize-a-new-packageapp"},{"title":"List credentials for a specific package","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml get /credentials/packages/{packageName}","href":"/api-reference/credential-packages/list-credentials-for-a-specific-package"},{"title":"List packages","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml get /credentials/packages","href":"/api-reference/credential-packages/list-packages"},{"title":"Create a credential","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml post /credentials/packages/{packageName}","href":"/api-reference/credential-packages/create-a-credential"},{"title":"Delete a credential and all its fields","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml delete /credentials/packages/{packageName}/credentials/{credentialName}","href":"/api-reference/credential-packages/delete-a-credential-and-all-its-fields"},{"title":"Add a credential field","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml post /credentials/packages/{packageName}/credentials/{credentialName}/fields","href":"/api-reference/credential-packages/add-a-credential-field"},{"title":"Update the value of a credential field","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml patch /credentials/packages/{packageName}/credentials/{credentialName}/fields/{fieldType}","href":"/api-reference/credential-packages/update-the-value-of-a-credential-field"},{"title":"Delete a field from a credential","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml delete /credentials/packages/{packageName}/credentials/{credentialName}/fields/{fieldType}","href":"/api-reference/credential-packages/delete-a-field-from-a-credential"},{"title":"Link a 1Password item to a credential","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/credential-packages.yaml post /credentials/packages/{packageName}/links","href":"/api-reference/credential-packages/link-a-1password-item-to-a-credential"},{"group":"1Password","pages":[{"title":"Get 1Password connection","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/1password.yaml get /credentials/onepassword","href":"/api-reference/1password/get-1password-connection"},{"title":"Connect a 1Password service account","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/1password.yaml put /credentials/onepassword","href":"/api-reference/1password/connect-a-1password-service-account"},{"title":"Disconnect 1Password","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/1password.yaml delete /credentials/onepassword","href":"/api-reference/1password/disconnect-1password"},{"title":"List 1Password item metadata","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/1password.yaml get /credentials/onepassword/vaults/{vaultId}/items","href":"/api-reference/1password/list-1password-item-metadata"},{"title":"List 1Password field metadata","deprecated":null,"version":null,"openapi":"/api-reference/credentials-ref/1password.yaml get /credentials/onepassword/vaults/{vaultId}/items/{itemId}/fields","href":"/api-reference/1password/list-1password-field-metadata"}]}]},{"group":"Numbers","pages":[{"title":"Purchase a phone number","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml post /numbers/phones","href":"/api-reference/numbers/purchase-a-phone-number"},{"title":"List phone numbers","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml get /numbers/phones","href":"/api-reference/numbers/list-phone-numbers"},{"title":"List dedicated-number countries","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml get /numbers/phones/countries","href":"/api-reference/numbers/list-dedicated-number-countries"},{"title":"Get included phone-number capacity for a country","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml get /numbers/phones/capacity","href":"/api-reference/numbers/get-included-phone-number-capacity-for-a-country"},{"title":"Get phone number by id","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml get /numbers/phones/{id}","href":"/api-reference/numbers/get-phone-number-by-id"},{"title":"Update a phone number's display label","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml patch /numbers/phones/{id}","href":"/api-reference/numbers/update-a-phone-numbers-display-label"},{"title":"Cancel a phone-number purchase or an active rental","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers.yaml delete /numbers/phones/{id}","href":"/api-reference/numbers/cancel-a-phone-number-purchase-or-an-active-rental"},{"group":"Number Messages","pages":[{"title":"Send an SMS from a number","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers/messages.yaml post /numbers/phones/{id}/messages","href":"/api-reference/messages/send-an-sms-from-a-number"},{"title":"List messages (inbox + outbox) on a number","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/numbers/messages.yaml get /numbers/phones/{id}/messages","href":"/api-reference/messages/list-messages-inbox-+-outbox-on-a-number"}]},{"group":"Messages","pages":[{"title":"Get one of the caller's SMS messages","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/messages.yaml get /numbers/messages/{id}","href":"/api-reference/messages/get-one-of-the-callers-sms-messages"},{"title":"List the caller's own SMS inbox/outbox messages","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/messages.yaml get /numbers/messages","href":"/api-reference/messages/list-the-callers-own-sms-inboxoutbox-messages"},{"group":"Conversations","pages":[{"title":"List the caller's own SMS conversations, one row per thread","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/messages/conversations.yaml get /numbers/messages/conversations","href":"/api-reference/conversations/list-the-callers-own-sms-conversations-one-row-per-thread"},{"title":"Mark a conversation's inbound messages read up to a cursor","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-numbers/messages/conversations.yaml post /numbers/messages/conversations/read","href":"/api-reference/conversations/mark-a-conversations-inbound-messages-read-up-to-a-cursor"}]}]}]},{"group":"Mailbox","pages":[{"title":"Claim or rent a mailbox","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml post /mailboxes","href":"/api-reference/mailboxes/claim-or-rent-a-mailbox"},{"title":"List mailboxes","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml get /mailboxes","href":"/api-reference/mailboxes/list-mailboxes"},{"title":"Get a mailbox","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml get /mailboxes/{mailboxId}","href":"/api-reference/mailboxes/get-a-mailbox"},{"title":"Update a mailbox label","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml patch /mailboxes/{mailboxId}","href":"/api-reference/mailboxes/update-a-mailbox-label"},{"title":"Cancel or archive a mailbox","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml delete /mailboxes/{mailboxId}","href":"/api-reference/mailboxes/cancel-or-archive-a-mailbox"},{"title":"Undo a scheduled cancellation","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml post /mailboxes/{mailboxId}/uncancel","href":"/api-reference/mailboxes/undo-a-scheduled-cancellation"},{"title":"Restart rent on an archived mailbox","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml post /mailboxes/{mailboxId}/restart","href":"/api-reference/mailboxes/restart-rent-on-an-archived-mailbox"},{"title":"Get included mailbox capacity","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml get /mailboxes/capacity","href":"/api-reference/mailboxes/get-included-mailbox-capacity"},{"title":"Get the best OTP candidate","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml get /mailboxes/{mailboxId}/otp","href":"/api-reference/mailboxes/get-the-best-otp-candidate"},{"title":"Unlink a Gmail inbox","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox.yaml post /mailboxes/{mailboxId}/disconnect","href":"/api-reference/mailboxes/unlink-a-gmail-inbox"},{"group":"Connections","pages":[{"title":"Connect a Gmail inbox","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox/connections.yaml post /mailboxes/connections","href":"/api-reference/connections/connect-a-gmail-inbox"},{"title":"Poll a Gmail inbox connection","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox/connections.yaml get /mailboxes/connections/{connectionId}","href":"/api-reference/connections/poll-a-gmail-inbox-connection"}]},{"group":"Mailbox Messages","pages":[{"title":"List mailbox messages","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox/mailbox-messages.yaml get /mailboxes/{mailboxId}/messages","href":"/api-reference/mailbox-messages/list-mailbox-messages"},{"title":"Get a mailbox message","deprecated":null,"version":null,"openapi":"/api-reference/mobilerun-mailbox/mailbox-messages.yaml get /mailboxes/{mailboxId}/messages/{messageId}","href":"/api-reference/mailbox-messages/get-a-mailbox-message"}]}]},{"group":"Tasks","pages":[{"title":"Get Task","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml get /tasks/{task_id}","href":"/api-reference/tasks/get-task"},{"title":"List Tasks","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml get /tasks","href":"/api-reference/tasks/list-tasks"},{"title":"Attach Task","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml get /tasks/{task_id}/attach","href":"/api-reference/tasks/attach-task"},{"title":"Get Task Status","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml get /tasks/{task_id}/status","href":"/api-reference/tasks/get-task-status"},{"title":"Get Task Trajectory","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml get /tasks/{task_id}/trajectory","href":"/api-reference/tasks/get-task-trajectory"},{"title":"Run Task","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml post /tasks","href":"/api-reference/tasks/run-task"},{"title":"Run Streamed Task","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml post /tasks/stream","href":"/api-reference/tasks/run-streamed-task"},{"title":"Send Message","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml post /tasks/{task_id}/message","href":"/api-reference/tasks/send-message"},{"title":"Stop Task","deprecated":null,"version":null,"openapi":"/api-reference/tasks.yaml post /tasks/{task_id}/cancel","href":"/api-reference/tasks/stop-task"},{"group":"Screenshots","pages":[{"title":"Get Task Screenshot","deprecated":null,"version":null,"openapi":"/api-reference/tasks/screenshots.yaml get /tasks/{task_id}/screenshots/{index}","href":"/api-reference/screenshots/get-task-screenshot"},{"title":"Get Task Screenshots","deprecated":null,"version":null,"openapi":"/api-reference/tasks/screenshots.yaml get /tasks/{task_id}/screenshots","href":"/api-reference/screenshots/get-task-screenshots"}]},{"group":"UI States","pages":[{"title":"Get Task Ui State","deprecated":null,"version":null,"openapi":"/api-reference/tasks/ui-states.yaml get /tasks/{task_id}/ui_states/{index}","href":"/api-reference/ui-states/get-task-ui-state"},{"title":"Get Task Ui States","deprecated":null,"version":null,"openapi":"/api-reference/tasks/ui-states.yaml get /tasks/{task_id}/ui_states","href":"/api-reference/ui-states/get-task-ui-states"}]}]},{"group":"Workflows","pages":[{"group":"Triggers","pages":[{"title":"Create a trigger","deprecated":null,"version":null,"openapi":"/api-reference/workflows/triggers.yaml post /triggers","href":"/api-reference/triggers/create-a-trigger"},{"title":"Get a trigger","deprecated":null,"version":null,"openapi":"/api-reference/workflows/triggers.yaml get /triggers/{triggerId}","href":"/api-reference/triggers/get-a-trigger"},{"title":"Update a trigger","deprecated":null,"version":null,"openapi":"/api-reference/workflows/triggers.yaml patch /triggers/{triggerId}","href":"/api-reference/triggers/update-a-trigger"},{"title":"List triggers","deprecated":null,"version":null,"openapi":"/api-reference/workflows/triggers.yaml get /triggers","href":"/api-reference/triggers/list-triggers"},{"title":"Delete a trigger","deprecated":null,"version":null,"openapi":"/api-reference/workflows/triggers.yaml delete /triggers/{triggerId}","href":"/api-reference/triggers/delete-a-trigger"},{"title":"Fire a custom trigger with payload","deprecated":null,"version":null,"openapi":"/api-reference/workflows/triggers.yaml post /triggers/{triggerId}/fire","href":"/api-reference/triggers/fire-a-custom-trigger-with-payload"}]},{"group":"Action Catalog","pages":[{"title":"Get a catalog entry","deprecated":null,"version":null,"openapi":"/api-reference/workflows/action-catalog.yaml get /action-catalog/{catalogEntryId}","href":"/api-reference/action-catalog/get-a-catalog-entry"},{"title":"List action catalog entries","deprecated":null,"version":null,"openapi":"/api-reference/workflows/action-catalog.yaml get /action-catalog","href":"/api-reference/action-catalog/list-action-catalog-entries"}]},{"group":"Actions","pages":[{"title":"Create an action","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml post /actions","href":"/api-reference/actions/create-an-action"},{"title":"Get an action","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml get /actions/{actionId}","href":"/api-reference/actions/get-an-action"},{"title":"Update an action","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml patch /actions/{actionId}","href":"/api-reference/actions/update-an-action"},{"title":"List actions","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml get /actions","href":"/api-reference/actions/list-actions"},{"title":"Delete an action","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml delete /actions/{actionId}","href":"/api-reference/actions/delete-an-action"},{"title":"List available services","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml get /actions/services","href":"/api-reference/actions/list-available-services"},{"title":"List allowed methods for a service","deprecated":null,"version":null,"openapi":"/api-reference/workflows/actions.yaml get /actions/services/{service}/methods","href":"/api-reference/actions/list-allowed-methods-for-a-service"}]},{"group":"Flows","pages":[{"title":"Create a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows","href":"/api-reference/flows/create-a-flow"},{"title":"Get a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows/{flowId}","href":"/api-reference/flows/get-a-flow"},{"title":"Update a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml patch /flows/{flowId}","href":"/api-reference/flows/update-a-flow"},{"title":"List flows","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows","href":"/api-reference/flows/list-flows"},{"title":"Archive a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml delete /flows/{flowId}","href":"/api-reference/flows/archive-a-flow"},{"title":"Clone a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/clone","href":"/api-reference/flows/clone-a-flow"},{"title":"Get routine capacity","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows/capacity","href":"/api-reference/flows/get-routine-capacity"},{"title":"Unblock a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/unblock","href":"/api-reference/flows/unblock-a-flow"},{"title":"Dry-run a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/dry-run","href":"/api-reference/flows/dry-run-a-flow"},{"title":"List self-healing repair episodes","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows/{flowId}/repairs","href":"/api-reference/flows/list-self-healing-repair-episodes"},{"title":"Get flow template context","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows/template-context","href":"/api-reference/flows/get-flow-template-context"},{"title":"Get flow delivery options","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows/{flowId}/delivery-options","href":"/api-reference/flows/get-flow-delivery-options"},{"title":"Validate a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/validate","href":"/api-reference/flows/validate-a-flow"},{"title":"Activate a verified flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/activate","href":"/api-reference/flows/activate-a-verified-flow"},{"title":"Run a flow now","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/run","href":"/api-reference/flows/run-a-flow-now"},{"title":"Verify a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/verify","href":"/api-reference/flows/verify-a-flow"},{"title":"List actions for a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml get /flows/{flowId}/actions","href":"/api-reference/flows/list-actions-for-a-flow"},{"title":"Add an action to a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml post /flows/{flowId}/actions","href":"/api-reference/flows/add-an-action-to-a-flow"},{"title":"Remove an action from a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml delete /flows/{flowId}/actions/{flowActionId}","href":"/api-reference/flows/remove-an-action-from-a-flow"},{"title":"Replace all actions for a flow","deprecated":null,"version":null,"openapi":"/api-reference/workflows/flows.yaml put /flows/{flowId}/actions","href":"/api-reference/flows/replace-all-actions-for-a-flow"}]},{"group":"Events","pages":[{"title":"Simulate event matching (dry run)","deprecated":null,"version":null,"openapi":"/api-reference/workflows/events.yaml post /events/dry-run","href":"/api-reference/events/simulate-event-matching-dry-run"},{"title":"Ingest an event","deprecated":null,"version":null,"openapi":"/api-reference/workflows/events.yaml post /events/ingest","href":"/api-reference/events/ingest-an-event"}]},{"group":"Executions","pages":[{"title":"Get execution details","deprecated":null,"version":null,"openapi":"/api-reference/workflows/executions.yaml get /executions/{executionId}","href":"/api-reference/executions/get-execution-details"},{"title":"List flow executions","deprecated":null,"version":null,"openapi":"/api-reference/workflows/executions.yaml get /executions","href":"/api-reference/executions/list-flow-executions"},{"title":"Get execution metrics","deprecated":null,"version":null,"openapi":"/api-reference/workflows/executions.yaml get /executions/metrics","href":"/api-reference/executions/get-execution-metrics"},{"title":"Abort a running or pending execution","deprecated":null,"version":null,"openapi":"/api-reference/workflows/executions.yaml post /executions/{executionId}/abort","href":"/api-reference/executions/abort-a-running-or-pending-execution"},{"title":"Redirect to a freshly signed screenshot URL","deprecated":null,"version":null,"openapi":"/api-reference/workflows/executions.yaml get /executions/{executionId}/screenshots/{screenshotId}","href":"/api-reference/executions/redirect-to-a-freshly-signed-screenshot-url"}]},{"group":"Timezones","pages":[{"title":"List supported IANA timezones","deprecated":null,"version":null,"openapi":"/api-reference/workflows/timezones.yaml get /timezones","href":"/api-reference/timezones/list-supported-iana-timezones"}]}]},{"group":"Webhooks \u0026 Integrations","pages":[{"group":"Webhooks","pages":[{"title":"Register a webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml post /webhooks","href":"/api-reference/webhooks/register-a-webhook-subscription"},{"title":"Get a webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml get /webhooks/{id}","href":"/api-reference/webhooks/get-a-webhook-subscription"},{"title":"Update a webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml patch /webhooks/{id}","href":"/api-reference/webhooks/update-a-webhook-subscription"},{"title":"List your webhook subscriptions","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml get /webhooks","href":"/api-reference/webhooks/list-your-webhook-subscriptions"},{"title":"Delete a webhook subscription","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml delete /webhooks/{id}","href":"/api-reference/webhooks/delete-a-webhook-subscription"},{"title":"Rotate signing secret","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml post /webhooks/{id}/rotate-secret","href":"/api-reference/webhooks/rotate-signing-secret"},{"title":"Send a one-shot test delivery","deprecated":null,"version":null,"openapi":"/api-reference/webhooks.yaml post /webhooks/{id}/test","href":"/api-reference/webhooks/send-a-one-shot-test-delivery"}]},{"group":"Integrations","pages":[{"title":"List message integrations","deprecated":null,"version":null,"openapi":"/api-reference/webhooks/integrations.yaml get /webhooks/integrations","href":"/api-reference/integrations/list-message-integrations"},{"title":"List integration targets","deprecated":null,"version":null,"openapi":"/api-reference/webhooks/integrations.yaml get /webhooks/integrations/{capabilityId}/targets","href":"/api-reference/integrations/list-integration-targets"}]},{"group":"Webhook Deliveries","pages":[{"title":"List deliveries across all your webhooks","deprecated":null,"version":null,"openapi":"/api-reference/webhooks/webhook-deliveries.yaml get /webhooks/deliveries","href":"/api-reference/webhook-deliveries/list-deliveries-across-all-your-webhooks"},{"title":"List deliveries for a webhook","deprecated":null,"version":null,"openapi":"/api-reference/webhooks/webhook-deliveries.yaml get /webhooks/{id}/deliveries","href":"/api-reference/webhook-deliveries/list-deliveries-for-a-webhook"},{"title":"Get a delivery with its attempts","deprecated":null,"version":null,"openapi":"/api-reference/webhooks/webhook-deliveries.yaml get /webhooks/{id}/deliveries/{deliveryId}","href":"/api-reference/webhook-deliveries/get-a-delivery-with-its-attempts"},{"title":"Get delivery statistics","deprecated":null,"version":null,"openapi":"/api-reference/webhooks/webhook-deliveries.yaml get /webhooks/deliveries/stats","href":"/api-reference/webhook-deliveries/get-delivery-statistics"}]}]}]}]},{"dropdown":"Framework","icon":"code","color":{"light":"#D97757","dark":"#D97757"},"tabs":[{"tab":"Guides","icon":"book","groups":[{"group":"Get started","icon":"rocket","pages":[{"sidebarTitle":"Framework overview","title":"Overview","href":"/framework/overview"},{"title":"Quickstart","href":"/framework/quickstart"},{"sidebarTitle":"Setup guides","title":"Overview","href":"/framework/guides/overview"},{"title":"Device Setup","href":"/framework/guides/device-setup"},{"title":"Quickstart with Docker","href":"/framework/guides/docker"}]},{"group":"Build an agent","icon":"bot","pages":[{"title":"CLI Usage","href":"/framework/guides/cli"},{"title":"Configuration","href":"/framework/sdk/configuration"},{"title":"Vision Mode","href":"/framework/features/vision"},{"title":"Structured Output","href":"/framework/features/structured-output"},{"title":"Credential Management","href":"/framework/features/credentials"}]},{"group":"Customize behavior","icon":"wrench","pages":[{"title":"App Instruction Cards","href":"/framework/features/app-cards"},{"title":"Custom Tools","href":"/framework/features/custom-tools"},{"title":"Custom Variables","href":"/framework/features/custom-variables"},{"title":"Prompt Templates","href":"/framework/concepts/prompts"}]},{"group":"Observe \u0026 debug","icon":"activity","pages":[{"title":"Tracing","href":"/framework/features/tracing"},{"title":"Event Streaming","href":"/framework/concepts/events-and-workflows"},{"title":"Telemetry","href":"/framework/features/telemetry"}]},{"group":"Architecture","icon":"layers","pages":[{"title":"Architecture","href":"/framework/concepts/architecture"},{"title":"Shared State","href":"/framework/concepts/shared-state"}]},{"group":"Python reference","icon":"book-open","pages":[{"sidebarTitle":"Reference overview","title":"Reference","href":"/framework/sdk/reference"},{"title":"MobileAgent","href":"/framework/sdk/droid-agent"},{"title":"AndroidDriver","href":"/framework/sdk/adb-tools"},{"title":"iOS Driver","href":"/framework/sdk/ios-tools"},{"title":"DeviceDriver Base Class","href":"/framework/sdk/base-tools"}]}]}]},{"dropdown":"Mobilerun Agents","icon":"https://mintlify.s3.us-west-1.amazonaws.com/mobilerun/logo/assistant-light.svg","color":{"light":"#4566D9","dark":"#73A0FF"},"groups":[{"group":"Get started","icon":"rocket","pages":[{"sidebarTitle":"What is Mobilerun Agents?","title":"Overview","href":"/agents/overview"},{"title":"Getting started","href":"/agents/getting-started"},{"sidebarTitle":"Phones, apps \u0026 accounts","title":"Devices","href":"/agents/devices"}]},{"group":"Workflows \u0026 results","icon":"workflow","pages":[{"title":"Routines","href":"/agents/workflows"},{"title":"Results","href":"/agents/results"},{"title":"Tasks and recordings","href":"/agents/tasks-and-recordings"}]},{"group":"Connections \u0026 notifications","icon":"bell","pages":[{"title":"Integrations","href":"/agents/integrations"},{"sidebarTitle":"Notifications","title":"Get notified by your agent","href":"/agents/notifications"}]},{"group":"Control \u0026 personalization","icon":"sliders-horizontal","pages":[{"title":"Human in the loop","href":"/agents/human-in-the-loop"},{"title":"Memory and skills","href":"/agents/memory-and-skills"},{"title":"Limits and costs","href":"/agents/limits-and-costs"}]}]}]},"basePath":"","title":"Disconnect proxy - Mobilerun","buildId":"dpl_8hoxaqFTU7hTr6A2fUraxAyjuiZo","deploymentId":"dpl_8hoxaqFTU7hTr6A2fUraxAyjuiZo","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-CDiBsYGW.js","utils-KF9rPlmF.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-C26urKTX.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BdjmJAC1.js","snippetPresets-3IpDBjt3.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-1CZdsdAn.js","ApiExamples-D4x_2vvo.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BIWdc5Pa.js","shallow-LQqfiMNd.js","getApiPlaygroundDisplay-DryzlOZG.js","CodeSnippet-tcJujU4r.js","CodeSnippets-BHp0nVLL.js","getPastedJson-DU-1ayUv.js","icon-CZK2hPr4.js","MethodPill-DOaqmTFC.js","DuplicateIcon-B5-nUxxl.js","createIcon-CDP_U77G.js","DynamicMarkdown-GHvayGOn.js","SectionHeading-BYvpkmUD.js","axios-vUo_bRtp.js","Markdown-uxhlayGT.js","clsx-B35qUV0p.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BvrGG8gU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CAf0yVYe.js"]}